input:not([type=checkbox]):not([type=radio]),
textarea, 
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
	outline: none;
	&:focus:required:invalid { border-color: red }
	&:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}


.field {
    margin: 0;
	width: 100%;
    height: 52px;
    border: none;
	outline: none;
	color: #5b3d38;
	box-shadow: none;
	font-weight: 400;
	font-size: 1.6rem;
	line-height: 2rem;
	padding: 15px 20px;
	background: #fff;
	display: inline-block;
    vertical-align: middle;
	border: 1px solid #5b3d38;
	box-shadow: none;
	border-radius: 26px;
	@include placeholder(#909090);
	
	&::-ms-clear {
		display: none;
		width: 0;
		height: 0;
	}

	&:focus,
	&:active {
		outline: none;
		@include placeholder(transparent);
	}


	&.error {
		border-color: red !important;
	}

}

textarea.field {
	height: auto;
	resize: none;
}

.form-group {
	margin-bottom: 30px;

	@media (min-width: $screen-md-min) {
		margin-bottom: 40px;
	}
}

.form-item {
	margin-bottom: 15px;

	@media (min-width: $screen-md-min) {
		margin-bottom: 20px;
	}
}

.selectric-select-radio {
	min-width: 200px;
}

.input-field {
	display: block;
	position: relative;
	background: $gray-200;
	$input-selector: "input[type=text], input[type=email], input[type=password], textarea";

	&:after {
		left: 16px;
		top: 16px;
		z-index: 1;
		display: block;
		color: $gray-500;
		font-weight: 400;
		position: absolute;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(18px);
		content: attr(data-placeholder);
		transition: .2s;
	}

	i {
		top: calc(50% - 12px);
		right: 0;
		z-index: 1;
		width: 24px;
		height: 24px;
		padding: 2px;
		font-size: 20px;
		line-height: 20px;
		color: #B4B3B1;
		position: absolute;
	}

	#{$input-selector} {
		width: 100%;
		height: 50px;
		z-index: 10;
		outline: none;
		padding: 15px 40px 15px 15px;
		color: $black;
		display: block;
		font-weight: 400;
		position: relative;
		border-radius: 6px;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(18px);
		background: transparent;
		border: 1px solid $gray-200;

		&::placeholder {
			display: none;
			color: transparent;
		}

		&:focus {
			border-color: $black;
		}

		&:focus::placeholder {
			color: transparent;
		}

		&:invalid {
			box-shadow: none;
		}

		&:disabled {

		}
	}

	textarea {
		height: auto;
	}

	//custom placeholder
	&--focus:not(&_has-value),
	&--has-value {

		&::after {
			top: 6px;
			left: 16px;
			max-width: 90%;
			overflow: hidden;
			text-overflow: ellipsis;
			white-space: nowrap;
			color: $gray-300;
			font-weight: 400;
			font-size: font-size-rel(10px);
			line-height: font-size-rel(12px);
			transition: .2s;
		}
	}

	&--required {

		&::before {
	//		content: '*';
			position: absolute;
			right: 0;
			top: 12px;
			color: $purple-100;
		}

		#{$input-selector} {

		}
	}

	&--success {

		#{$input-selector} {
			border-color: $black;
		}

		&:before {
			right: 16px;
			top: calc(50% - 12px);
			width: 24px;
			height: 24px;
			z-index: 1;
			content: '';
			font-size: 0;
			line-height: 0;
			position: absolute;
			background: url("../img/icon__valid.svg") 50% 50% no-repeat;
			background-size: cover;
		}
	}

	&--error {

		#{$input-selector} {
			color: $purple-100;
			border-color: $purple-100;

		}

		&:before {
			opacity: 0;
			visibility: hidden;
		}

		&:after {
			color: #B2B2B2
		}

		.input-field__error-text {
			opacity: 1;
			visibility: visible;
		}

	}

	&--card {
		#{$input-selector} {
			padding-left: 65px;
		}
	}

	&__card-logo {
		left: 16px;
		top: calc(50% - 14px);
		width: 28px;
		height: 28px;
		font-size: 0;
		line-height: 0;
		position: absolute;

		.input-field {

			&--focus:not(&_has-value),
			&--has-value {

				&:after {
					left: 65px;
				}
			}
		}
	}

	&__error-text {
		right: 0;
		top: 9px;
		opacity: 0;
		visibility: hidden;
		white-space: nowrap;
		display: block;
		position: absolute;
		color: $gray-300;
		font-weight: 400;
		font-size: font-size-rel(12px);
		line-height: font-size-rel(20px);
	}

	&--white {

		#{$input-selector} {
			background: $white;

		}
	}

	@media (min-width: $screen-md-min) {

		&:after {
			left: 20px;
			top: 24px;
			font-size: font-size-rel(17px);
		}

		#{$input-selector} {
			height: 66px;
			font-size: font-size-rel(17px);
			padding: 21px 40px 21px 20px;
		}

		textarea {
			height: auto;
		}

		&--focus:not(&_has-value),
		&--has-value {

			&:after {
				top: 8px;
				left: 20px;
				font-size: font-size-rel(10px);
				line-height: font-size-rel(12px);
			}
		}

		&--card {

			#{$input-selector} {
				padding-left: 65px;
			}
		}

		&__card-logo {
			left: 20px;
			top: calc(50% - 14px);
			width: 28px;
			height: 28px;
			font-size: 0;
			line-height: 0;
			position: absolute;

			.input-field {

				&--focus:not(&_has-value),
				&--has-value {

					&:after {
						left: 70px;
					}
				}
			}
		}
	}

}

.form-label {
	font-weight: 400;
	display: block;
	margin-bottom: 15px;
	font-size: font-size-rel(14px);
	line-height: font-size-rel(18px);

	@media (min-width: $screen-md-min) {
		margin-bottom: 20px;
		font-size: font-size-rel(17px);
		line-height: font-size-rel(20px);
	}
}

.form-checkbox {
	font-size: 0;
	line-height: 0;
	font-weight: 400;
	position: relative;
	display: inline-block;

	input {
		top: 0;
		left: 0;
		opacity: 0;
		width: 1px;
		height: 1px;
		visibility: hidden;
		position: absolute;
	}

	span {
		color: $black;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(24px);
		position: relative;
		padding-left: 36px;
		display: inline-block;

		&::before {
			top: 0;
			left: 0;
			z-index: 1;
			content: '';
			width: 24px;
			height: 24px;
			display: block;
			position: absolute;
			border-radius: 6px;
			border: 1px solid $purple-100;
		}

		&:after {
			top: 0;
			left: 0;
			z-index: 2;
			content: '';
			width: 24px;
			height: 24px;
			display: block;
			opacity: 0;
			border-radius: 50%;
			visibility: hidden;
			position: absolute;
			background: url("../img/icon__checkbox.svg") 50% 50% no-repeat;
		}
	}


	input:checked + span {

		&:before {
			background: $purple-100;
		}

		&::after {
			opacity: 1;
			visibility: visible;
		}
	}

	input:disabled + span {
		opacity: 0.4;
	}

	@media (min-width: $screen-md-min) {

		span {
			font-size: font-size-rel(17px);
			line-height: font-size-rel(26px);

			&:after,
			&:before {
				width: 26px;
				height: 26px;
			}
		}
	}
}

.form-radio {
	font-size: 0;
	line-height: 0;
	font-weight: 400;
	position: relative;
	display: inline-block;

	input {
		top: 0;
		left: 0;
		opacity: 0;
		width: 1px;
		height: 1px;
		visibility: hidden;
		position: absolute;
	}

	span {
		color: $black;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(22px);
		position: relative;
		padding-left: 36px;
		display: inline-block;

		&::before {
			top: 0;
			left: 0;
			z-index: 1;
			content: '';
			width: 22px;
			height: 22px;
			display: block;
			position: absolute;
			border-radius: 50%;
			border: 1px solid $gray-500;
		}

		&:after {
			top: 5px;
			left: 5px;
			z-index: 2;
			content: '';
			width: 12px;
			height: 12px;
			display: block;
			opacity: 0;
			border-radius: 50%;
			visibility: hidden;
			position: absolute;
			background: $gray-500;
		}
	}

	input:checked + span {

		&:before {
			border-color: $purple-100;
		}

		&::after {
			opacity: 1;
			background: $purple-100;
			visibility: visible;
		}
	}

	input:disabled + span {
		opacity: 0.4;
	}

	@media (min-width: $screen-md-min) {

		span {
			font-size: font-size-rel(17px);
			line-height: font-size-rel(23px);
		}
	}
}

.pretty-checkbox {
	font-weight: 400;
	font-size: font-size-rel(14px);
	line-height: font-size-rel(22px);
	position: relative;
	display: block;

	input {
		top: 0;
		left: 0;
		opacity: 0;
		width: 1px;
		height: 1px;
		visibility: hidden;
		position: absolute;
	}

	&__label {
		height: 50px;
		display: flex;
		cursor: pointer;
		align-items: center;
		position: relative;
		white-space: nowrap;
		padding: 2px 20px 2px 50px;
		border-radius: 6px;
		background: $gray-200;
		border: 2px solid $gray-200;

		&::before {
			left: 15px;
			top: calc(50% - 11px);
			z-index: 1;
			content: '';
			width: 22px;
			height: 22px;
			display: block;
			position: absolute;
			border-radius: 50%;
			border: 1px solid $gray-500;
		}

		&:after {
			top: calc(50% - 6px);
			left: 20px;
			z-index: 2;
			content: '';
			width: 12px;
			height: 12px;
			display: block;
			opacity: 0;
			border-radius: 50%;
			visibility: hidden;
			position: absolute;
			background: $gray-500;
		}
	}

	&__image {
		max-width: 245px;
		margin-left: 25px;
		opacity: 0.6;
		filter: grayscale(100%);
		-webkit-filter: grayscale(100%);
	}

	input:checked + .pretty-checkbox__label {
		border-color: $black;

		&:before {
			border-color: $purple-100;
		}

		&::after {
			opacity: 1;
			visibility: visible;
			background: $purple-100;
		}

		.pretty-checkbox__image {
			opacity: 1;
			filter: grayscale(0%);
			-webkit-filter: grayscale(0%);
		}
	}

	input:disabled + .pretty-checkbox__label {
		opacity: 0.4;
	}

	@media (min-width: $screen-md-min) {

		&__label {
			height: 66px;
			padding-left: 60px;
			padding-right: 30px;
			font-size: font-size-rel(17px);
			line-height: font-size-rel(21px);

			&:before {
				left: 20px;
			}

			&:after {
				left: 25px;
			}
		}

		&__image {
			margin-left: 60px;
			max-width: 420px;
		}
	}
}